Download it now!
Bug 38436 - UI: File > Page Preview deletes Navigation Toolbar stack
Summary: UI: File > Page Preview deletes Navigation Toolbar stack
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.1 RC1
Hardware: All All
: medium normal
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-18 05:14 UTC by pierre-yves samyn
Modified: 2019-01-16 19:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (8.79 KB, application/vnd.oasis.opendocument.text)
2011-06-18 05:15 UTC, pierre-yves samyn
Details
Screenshot after opening the document (10.77 KB, image/png)
2011-06-26 05:40 UTC, pierre-yves samyn
Details
Screenshot after going to a title via one click in the navigator (11.70 KB, image/png)
2011-06-26 05:42 UTC, pierre-yves samyn
Details
Screenshot of the preview of the document (5.52 KB, image/png)
2011-06-26 05:43 UTC, pierre-yves samyn
Details
Screenshot after preview (10.83 KB, image/png)
2011-06-26 05:44 UTC, pierre-yves samyn
Details
Screenshot (92.02 KB, image/png)
2013-06-17 10:27 UTC, ign_christian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2011-06-18 05:14:42 UTC
Hello

Build Date & Platform: buildid=340m1(Build:101) Windows XP 

Steps to reproduce:

- Open the attached document
- View> Navigator (F5) to make it visible
- Double click in the browser Title3, Title2...

The Navigation toolbar is on

- File> Page Preview
- Close Preview

Expected result: navigation toolbar still active
Actuals result: toolbar inactive

Additional Information: 
This dysfunction suggests to me that the management of this toolbar is made via a listener. I can not retrieve the issue but this "disconnection" due to the preview seems to be already known.

Best regards
Comment 1 pierre-yves samyn 2011-06-18 05:15:56 UTC
Created attachment 48130 [details]
Sample document
Comment 2 Jean-Baptiste Faure 2011-06-19 00:57:31 UTC
I confirm the described behavior under Ubuntu 10.04 x86_64
Changed platform and OS to All.

Best regards. JBF
Comment 3 Rainer Bielefeld Retired 2011-06-26 05:05:21 UTC
NOT reproducible with Dily Build nearby "LibreOffice 3.4.1RC1 - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:101)]" and reporter's sample (opened from WIN Explorer) or own documents, does not matter whether docked or undocked. May be there is a very small difference in proceeding what causes the difference?

@reporter:
Can you please add some information (every mouse click, every key press), may be screenshots, ...
Comment 4 pierre-yves samyn 2011-06-26 05:40:18 UTC
Created attachment 48434 [details]
Screenshot after opening the document
Comment 5 pierre-yves samyn 2011-06-26 05:42:04 UTC
Created attachment 48435 [details]
Screenshot after going to a title via one click in the navigator
Comment 6 pierre-yves samyn 2011-06-26 05:43:33 UTC
Created attachment 48436 [details]
Screenshot of the preview of the document
Comment 7 pierre-yves samyn 2011-06-26 05:44:23 UTC
Created attachment 48437 [details]
Screenshot after preview
Comment 8 pierre-yves samyn 2011-06-26 05:52:06 UTC
> @reporter:
> Can you please add some information (every mouse click, every key press), may
> be screenshots, ...

Steps to reproduce:

- Open the attached document
- View> Navigator (F5) to make it visible

Cf. "Screenshot after opening the document"

- Double click in the browser Title3, Title2...

The buttons of the Navigation toolbar are enabled (expected result)
Cf. "Screenshot after going to a title via one click in the navigator"


- File> Page Preview

The buttons on the navigation bar are disabled (expected result)
Cf. "Screenshot of the preview of the document" 

- Close Preview

Expected result: buttons of the Navigation toolbar still enabled
Actuals result:  buttons on the navigation toolbbar are disabled
Cf. "Screenshot after preview"
Comment 9 Rainer Bielefeld Retired 2011-06-26 06:38:55 UTC
@pierre-yves samyn:
Unfortunately aour comment did not explain anything to me.

May I ask you to read  hints on <http://wiki.documentfoundation.org/BugReport>?

1. Please explain difference between screenshots "Screenshot after going to a title via one click in the navigator" and "Screenshot after preview ". Your problem is that highlighting switched from "Title3" to "Headings"?

2. Please explain "toolbar inactive". Latest selection highlighting lost?

A General hint:
In a step by step instruction comments like "Open the attached document" and "Close Preview" are not useful at all. I know lots of ways how to open a document, and what if that way is essential for success when trying to reproduce the problem? I had good reasons for my phrase "every mouse click, every key press".
Comment 10 Jean-Baptiste Faure 2011-06-26 08:43:54 UTC
(In reply to comment #9)
> 2. Please explain "toolbar inactive". Latest selection highlighting lost?

Navigation toolbar is this new toolbar with 2 arrow buttons Back and Forward which allow to navigate through previous cursor positions in the document.

If you click on different chapter titles in the Navigator, Back button becomes active so you can click it. After your first click on Back button, Forward button becomes active so you can return to the previous position. So you get an history of the previous positions of the cursor in your document.

Now, do File > Page Preview and then click the button Close Preview to return to the edit view of your document. You can see that both buttons Back and Forward of the navigation toolbar are inactive (grayed) and then the history of the previous cursor positions is lost. 

The expected behavior is that the navigation toolbar keeps the cursor positions history you had before entering in Page Preview mode.

Best regards. JBF
Comment 11 Rainer Bielefeld Retired 2011-06-26 11:22:13 UTC
Yeah, that has to be explained to a moron!

[Reproducible] with Daily Build nearby "LibreOffice 3.4.1RC1 - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:101)]" 

I will think about this effect tomorrow before I will assign to a developer.

@ pierre-yves samyn:
Thank you for your patience!
Comment 12 Rainer Bielefeld Retired 2011-06-26 23:32:09 UTC
I did some further tests and found a new bug, but nothing more mentionable concerning th original report.

For a similar "deletes undo stack" I filed "Bug 38703 - 'Update' deletes 'undo - redo' stack" (accidently with staus NEW instead of UNCONFIRMED". In that bug you find a hint concerning a temporary inactivity of Navigation bar, I doubt that that might be related to this report.

@Cédric:
Please feel free to reassign if it’s not your area.
Comment 13 pierre-yves samyn 2011-06-27 12:22:24 UTC
(In reply to comment #11)
> @ pierre-yves samyn:
> Thank you for your patience!

:) 

Thank's to JBF and thank you for your tests...

Best regards. PYS.
Comment 14 Björn Michaelsen 2011-12-23 13:26:51 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 15 pierre-yves samyn 2011-12-24 00:21:38 UTC
(In reply to comment #14)
> Since all new unconfirmed bugs start in state UNCONFIRMED now and old
> unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs
> promoted above those bug states to NEW and later are automatically confirmed
> making the CONFIRMED whiteboard status redundant. Thus it will be removed.

Hello

Sorry, I do not understand this comment, perhaps because of my poor English?
This bug was confirmed and was not pending further information.

Anyway this bug can probably be closed since the 3.5 solves the problem differently: the toolbar is simply closed by the print preview.

This means that the bug is not resolved, but its context of occurrence is deleted ...

Regards
PYS
Comment 16 ign_christian 2013-06-17 10:27:32 UTC
Created attachment 80945 [details]
Screenshot

I can confirm that navigation toolbar still active & cursor position still remembered after closing Page Preview by activating 'Content View' button.

Tested on LO 4.0.4.2 (Win7 32bit)
Comment 17 pierre-yves samyn 2013-06-17 16:14:27 UTC
Hello

(In reply to comment #16)
> I can confirm that navigation toolbar still active & cursor position still
> remembered after closing Page Preview by activating 'Content View' button.

I do not know what you mean ...

1. As I said the bug has no more reason to be (deleted context)
2. The Navigation toolbar is closed by the print preview
3. If you redisplay the toolbar after a preview, the history is reset
(inactive buttons)

I wonder if you do not make a mistake: the bug was not about the Navigator (View> Navigator or F5) and its tools but on the Navigation toolbar (View> Toolbars> Navigation). You can see its two buttons on the screenshot "Screenshot after preview", above the cursor in the top left of the screen.

Regards
Pierre-Yves